package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 项目基础底表
 * @author: 徐滕
 * @create: 2021-09-15 14:35
 **/
public class ProjectBasicsInfo extends DataEntity<ProjectBasicsInfo> {
    private String projectName;    //项目名称
    private String projectNumber;    //国网项目编码
    private String firstLevelUnit;    //一级单位
    private String secondLevelUnit;    //二级单位
    private String relevantDepartment;    //归口部门
    private String projectType;    //项目类型
    private String projectProperty;    //项目性质
    private String planStartUpDate;    //计划开工日期
    private String plancompletionDate; //计划竣工日期
    private String practicalStartUpDate;    //实际开工日期

    private String practicalcompletionDate; //实际竣工日期
    private String firstAcquisitionTime;    //首次领料日期
    private String firstConstructionFeeRecordedTime;    //首笔施工费入账日期
    private String calculationForReviewTime;    //结算送审日期
    private String calculationExamineTime;    //结算审定日期
    private String whichMaterialStoresReturnedTime;    //发起甲供材领退料日期
    private String ifGetRejectedMaterialFinish;    //领退料是否完成
    private String completedActualBudgetTime;    //提报竣工决算日期
    private String actualBudgetSubmittalsTime;    //决算送审日期
    private String actualBudgetauditReportTime;    //出具决算审计报告日期

    private String firstWorkingCapitalTime;    //首笔转资日期
    private String ifProjectClose;    //项目是否关闭
    private String year;    //年份

    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="国网项目编码", align=2, sort=2)
    public String getProjectNumber() {
        return projectNumber;
    }
    @ExcelField(title="一级单位", align=2, sort=3)
    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }
    @ExcelField(title="二级单位", align=2, sort=4)
    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }
    @ExcelField(title="归口部门", align=2, sort=5)
    public String getRelevantDepartment() {
        return relevantDepartment;
    }
    @ExcelField(title="项目类型", align=2, sort=6)
    public String getProjectType() {
        return projectType;
    }
    @ExcelField(title="项目性质", align=2, sort=7)
    public String getProjectProperty() {
        return projectProperty;
    }
    @ExcelField(title="计划开工日期", align=2, sort=8)
    public String getPlanStartUpDate() {
        return planStartUpDate;
    }
    @ExcelField(title="计划竣工日期", align=2, sort=9)
    public String getPlancompletionDate() {
        return plancompletionDate;
    }
    @ExcelField(title="实际开工日期", align=2, sort=10)
    public String getPracticalStartUpDate() {
        return practicalStartUpDate;
    }
    @ExcelField(title="实际竣工日期", align=2, sort=11)
    public String getPracticalcompletionDate() {
        return practicalcompletionDate;
    }
    @ExcelField(title="首次领料日期", align=2, sort=12)
    public String getFirstAcquisitionTime() {
        return firstAcquisitionTime;
    }
    @ExcelField(title="首笔施工费入账日期", align=2, sort=13)
    public String getFirstConstructionFeeRecordedTime() {
        return firstConstructionFeeRecordedTime;
    }
    @ExcelField(title="结算送审日期", align=2, sort=14)
    public String getCalculationForReviewTime() {
        return calculationForReviewTime;
    }
    @ExcelField(title="结算审定日期", align=2, sort=15)
    public String getCalculationExamineTime() {
        return calculationExamineTime;
    }
    @ExcelField(title="发起甲供材领退料日期", align=2, sort=16)
    public String getWhichMaterialStoresReturnedTime() {
        return whichMaterialStoresReturnedTime;
    }
    @ExcelField(title="领退料是否完成", align=2, sort=17)
    public String getIfGetRejectedMaterialFinish() {
        return ifGetRejectedMaterialFinish;
    }
    @ExcelField(title="提报竣工决算日期", align=2, sort=18)
    public String getCompletedActualBudgetTime() {
        return completedActualBudgetTime;
    }
    @ExcelField(title="决算送审日期", align=2, sort=19)
    public String getActualBudgetSubmittalsTime() {
        return actualBudgetSubmittalsTime;
    }
    @ExcelField(title="出具决算审计报告日期", align=2, sort=20)
    public String getActualBudgetauditReportTime() {
        return actualBudgetauditReportTime;
    }
    @ExcelField(title="firstWorkingCapitalTime", align=2, sort=21)
    public String getFirstWorkingCapitalTime() {
        return firstWorkingCapitalTime;
    }
    @ExcelField(title="ifProjectClose", align=2, sort=22)
    public String getIfProjectClose() {
        return ifProjectClose;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setRelevantDepartment(String relevantDepartment) {
        this.relevantDepartment = relevantDepartment;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public void setProjectProperty(String projectProperty) {
        this.projectProperty = projectProperty;
    }

    public void setPlanStartUpDate(String planStartUpDate) {
        this.planStartUpDate = planStartUpDate;
    }

    public void setPlancompletionDate(String plancompletionDate) {
        this.plancompletionDate = plancompletionDate;
    }

    public void setPracticalStartUpDate(String practicalStartUpDate) {
        this.practicalStartUpDate = practicalStartUpDate;
    }

    public void setPracticalcompletionDate(String practicalcompletionDate) {
        this.practicalcompletionDate = practicalcompletionDate;
    }

    public void setFirstAcquisitionTime(String firstAcquisitionTime) {
        this.firstAcquisitionTime = firstAcquisitionTime;
    }

    public void setFirstConstructionFeeRecordedTime(String firstConstructionFeeRecordedTime) {
        this.firstConstructionFeeRecordedTime = firstConstructionFeeRecordedTime;
    }

    public void setCalculationForReviewTime(String calculationForReviewTime) {
        this.calculationForReviewTime = calculationForReviewTime;
    }

    public void setCalculationExamineTime(String calculationExamineTime) {
        this.calculationExamineTime = calculationExamineTime;
    }

    public void setWhichMaterialStoresReturnedTime(String whichMaterialStoresReturnedTime) {
        this.whichMaterialStoresReturnedTime = whichMaterialStoresReturnedTime;
    }

    public void setIfGetRejectedMaterialFinish(String ifGetRejectedMaterialFinish) {
        this.ifGetRejectedMaterialFinish = ifGetRejectedMaterialFinish;
    }

    public void setCompletedActualBudgetTime(String completedActualBudgetTime) {
        this.completedActualBudgetTime = completedActualBudgetTime;
    }

    public void setActualBudgetSubmittalsTime(String actualBudgetSubmittalsTime) {
        this.actualBudgetSubmittalsTime = actualBudgetSubmittalsTime;
    }

    public void setActualBudgetauditReportTime(String actualBudgetauditReportTime) {
        this.actualBudgetauditReportTime = actualBudgetauditReportTime;
    }

    public void setFirstWorkingCapitalTime(String firstWorkingCapitalTime) {
        this.firstWorkingCapitalTime = firstWorkingCapitalTime;
    }

    public void setIfProjectClose(String ifProjectClose) {
        this.ifProjectClose = ifProjectClose;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }
}
